![FrostVale_ModPack Logo](https://dehaven.info/wp-content/uploads/2023/12/frostvale_modpack-Medium.png)

# FrostVale_ModPack - A Journey into the Magical Realm of Valheim

Welcome to **FrostVale_ModPack**, where every step in Valheim turns into an enchanting saga. This modpack is carefully curated to enhance your Valheim experience with a blend of magic, crafting, exploration, and survival in a beautifully harsh, snowy realm.

## Features

- **MagicPlugin**: Unleash your magical prowess with diverse spellcasting abilities.
- **PotionPlus**: Experiment with a variety of potions to aid your adventure.
- **Advanced Farming**: Cultivate and harvest like never before.
- **Creative Jewelcrafting**: Craft exquisite jewels adding unique buffs and attributes.
- **BoneAppetit**: Explore gourmet cooking options for hearty meals.
- **ValheimRAFT**: Embark on nautical adventures with improved seafaring mechanics.
- **Exclusive OdinShipPlus**: Navigate the seas with superior ships (Note: OdinShipPlus requires a $10 donation to the author for full functionality).

## Installation and Usage

1. Ensure you have Valheim installed.
2. Download and install r2modman.
3. Search for `FrostVale_ModPack` within r2modman and install.
4. Start your modded Valheim adventure!

## Updating the Server (Please email me if there is a better way, and I will Update)

0. Note: When you have your configs all set up for your server, it's nice to let R2Modman manage your config files, but these need to be backed up, BACK to your profile in R2ModMan.  This way you can just copy the directory over to your server's directory when updating and not overwriting your configs.  Also, all those generated configs will be available in R2ModMan for edit.
1. After updating in R2ModMan, go to settings and `Browse profile folder`.
2. This will open that folder in the background.  Copy all the files here and paste them into your server's folder to overwrite the updates files.
3. Mods like Seasonality are heavy in textures and same with Jewelcrafting.  So what I like to do is after pasting the files in, the pasted files in Windows will highlight.  So What I like to do is hit delete after pasting the files, then hitting paste again.  This will clean up any files that would normally linger from previous updates, like unused texture files in Seasonality.
4. Remember: this is all assuming you have backed your config files to the R2Modman's profile between any config updates.

## Community

As a community-driven project, we welcome contributions and feedback. For support, suggestions, or join our server, reach out to Fujin at chubbs1900@gmail.com

## Disclaimer

Please note that while every effort is made to keep the modpack updated, mods may break with new Valheim updates. Always back up your save files before updating.

Embark on your enchanted journey in Valheim with **FrostVale_ModPack** and create your own legend!
# Updates

## Version 2.1.1
- `Updated Seasonality`
- `Updated Mailbox mod`

---

## Version 2.1.1
- `Updated Jotunn`
- `Tested new ValheimRAFT branch but it's still too laggy`
- `Added a new Mailbox mod`
### Plans to convert this mod-pack to a stable-core release, then additional packs to cover expanded play.

---

## Version 2.0 (Current Release Compatibility)
- `Removed mods that failed to update in a couple weeks that weren't vital`
- `The List is down to 53 mods, but I have lost track so set this one to 2.0 and will base notes on this release as the base line.`
#### Recommended to delete the general config for Seasonality whenever it updates like it did in this release.

---

## Version 1.7.5 [default_old] (0.217.31 Compatibility)

#### Added Mods (1):
- `VentureValheim-No_Seasonal_Restrictions` (Version: 0.1.7)

#### Removed Mods (4):
- `Azumatt-ResourceUnloadOptimizer` (Version: 1.0.2)
- `MSchmoecker-LocalizationCache` (Version: 0.2.0)
- `OdinPlus-BoomStick` (Version: 0.0.14)
- `Smoothbrain-SmoothSave` (Version: 1.0.5)
- `ValMedia-OdinOnDemand` (Version: 0.9.941)

#### Updated Mods (2):
- `JereKuusela-Server_devcommands`: Version changed from 1.66.0 to 1.67.0
- `ValheimModding-Jotunn`: Version changed from 2.15.0 to 2.15.2

---

## Version 1.2.2
- **Updated Mods**: Seasonality, AzuExtendedPlayerInventory
- **New Additions**: Added 'VentureValheim-Venture_Floating_Items-0.2.0' and 'SpikeHimself-XPortal-1.2.19'

---

## Version 1.0.6
Seasonality updated

---

## Version 1.0.5
MagicPlugin, OdinShipPlus, StartupAccelerator, CrystalLights, Seasonality

---

## Version 1.0.0
Initial release

---